ARG PRIVATE_REG=""

FROM $PRIVATE_REG"ubuntu:22.04"

ARG TZ=UTC
ARG GRADLE_VERSION=7.4

ENV LANG=C.UTF-8 \
    LC_ALL=C.UTF-8

RUN set -ex \
	&& ln -snf /usr/share/zoneinfo/$TZ /etc/localtime \
    # Update packages
	&& apt update -yqq \
	&& apt upgrade -yqq \
    # Install system deps
	&& apt install -yqq --no-install-recommends \
		openjdk-8-jdk-headless \
        gradle \
        ca-certificates \
    # Upload&Utils
        curl make \
    # Clean apt
    && rm -rf \
      /var/lib/apt/lists/* \
      /tmp/* \
      /var/tmp/* \
      /usr/share/man \
      /usr/share/doc \
      /usr/share/doc-base \
    # Add telegram notifier
    && curl --output /usr/bin/telegram_notifier https://gitlab.com/api/v4/projects/22543844/packages/generic/telegram_notifier/0.1.4/telegram-notifier-linux-amd64 \
    && chmod +x /usr/bin/telegram_notifier \
    # Cache gradle
    && mkdir /tmp/gradle \
    && cd /tmp/gradle \
    && gradle wrapper --gradle-version $GRADLE_VERSION \
    && ./gradlew \
    && rm -rf /tmp/gradle



WORKDIR /java/src/app
